Subject: bug#7952: 24.0.50; crash in find_interval

From: Eli Zaretskii <[email-masked]>
Date: Mon, 09 May 2011 09:24:03 +0300

> From: Chong Yidong <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Sun, 08 May 2011 16:27:15 -0400
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Thanks, but will that solution work when start-process is not
> > available (MS-DOS)?  I'm not sure (I think compilation-filter is not
> > run in that case).
> 
> Good point.  This problem isn't limited to grep.  For the synchronous
> case, compilation-start should probably run compilation-filter-hook
> after call-process returns.  WDYT?

Looks good, thanks.  Go ahead and commit, I will test it when I have
time.